#pragma once
#include "Mod.h"

class TargetStrafe : public Mod {
public:
	bool onjump = true;
	bool speedonly = true;

	TargetStrafe() : Mod(_("Target Strafe"), _("Strafe the target."), Category::COMBAT) {
		settings.push_back(new Setting{ _("Speed Only"), &speedonly, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("On Jump"), &onjump, 0, 0, 0, {}, true });

		enabled = false;
	}

private:
	virtual auto onWorldTick(Player* _this) -> void;
};
